<template>
	<div class="row items-center q-gutter-y-lg">
		<div
			class="stats-container col-6 col-md-4"
			v-for="(stat, index) in stats"
			:key="index"
		>
			<q-card
				class="column q-mx-md q-py-lg items-center shadow-3 relative-position"
			>
				<q-icon
					name="local_fire_department "
					size="2.3rem"
					color="deep-orange-8"
					class="high-stats-badge cursor-pointer"
					v-show="stat.base_stat >= 90"
				>
					<q-tooltip>
						<span class="font-monstserrat-bold text-subtitle2"
							>High tier stats
						</span>
					</q-tooltip>
				</q-icon>

				<vue-ellipse-progress
					:color="getStatColor(stat.stat.name)"
					class="q-mb-sm text-h6 font-monstserrat-bold"
					animation="bounce 2000"
					:progress="(stat.base_stat * 100) / 300"
					:thickness="7"
					:legend="true"
					:legendValue="stat.base_stat"
					emptyThickness="10%"
					:size="100"
				/>
				<span class="text-bold text-subtitle2">{{ stat.stat.name }}</span>
			</q-card>
		</div>
	</div>
</template>

<script>
	import { typeColor } from "src/components/mixins/colorMixins";
	import headerTitle from "../typography/header-title.vue";
	export default {
		name: "Stats",
		mixins: [typeColor],
		components: { headerTitle },
		props: {
			stats: {
				type: Array,
				required: true,
				default: () => [],
			},
		},

		methods: {},
	};
</script>

<style>
</style>